summaryrefslogtreecommitdiff
path: root/scripts/barhandler
diff options
context:
space:
mode:
authormarcellus <msimon_fr@hotmail.com>2024-04-17 11:10:25 +0200
committermarcellus <msimon_fr@hotmail.com>2024-04-17 11:10:25 +0200
commit0173c966ca715c14c9483b2e5e44d27173604638 (patch)
tree922a7a42d8a84e420b337f65f6c665b642026918 /scripts/barhandler
parent9dc92655116548e0e2be487b048f336cc9a5f148 (diff)
updates: read the diff
Diffstat (limited to 'scripts/barhandler')
-rwxr-xr-xscripts/barhandler15
1 files changed, 15 insertions, 0 deletions
diff --git a/scripts/barhandler b/scripts/barhandler
new file mode 100755
index 0000000..fa696e7
--- /dev/null
+++ b/scripts/barhandler
@@ -0,0 +1,15 @@
+while true; do
+ read input
+ case $input in
+ selectopt)
+ setsid --fork selectopt
+ ;;
+ swatch)
+ SWATCH=$(cat /tmp/swatch)
+ ([ $SWATCH = "0" ] && echo "1" || echo "0") > /tmp/swatch
+ ;;
+ *)
+ echo $input
+ ;;
+ esac
+done